import random

###################################################################################################
##########                         WRITING CONDITIONALS EXERCISE                         ##########
###################################################################################################
# Step 1: run the code and make sure you understand how it works
# Step 2: add conditional statements to return "Congrats, you won!" or "Sorry, you lost. Try again!"
#         if our_number is 1, you won the lottery. Otherwise, you lost.

###################################################################################################
# If you have extra time
# Step 1: If you have two return statements and if-else in your code, try using just if or even
#         writing your code with only one return statement!
# Step 2: These are really high odds for winning a lottery. Try updating your code so that you only
#         win 10% of the time (anything lower than that will be a huge pain to test)
# Step 3: Using elif, implement a system where 10% of the time you win the jackpot, but another 40%
#         of the time you win a smaller prize. Change what you return accordingly.
###################################################################################################



def play_lottery():
    """
    Running this function allows you to play the "CSCI-145 Lottery"
    You have a 50% chance of winning each time you play
    If you win, the function should return "Congrats, you won!"
    Otherwise, the funciton should return "Sorry, you lost. Try again!"
    
    Arguments: None
    Returns:
        string: a string representing whether or not you won
    """
    # pick a random number
    # 1 means that you won the lottery
    our_number = random.randint(1, 2) # picks a random integer between 1 and 2 (inclusive)
    print("The number was", our_number) # use this to debug
    
    
    
print("Playing the lottery...")
print(play_lottery())